#ifndef CARD_HH__
#define CARD_HH__

enum Suit {
	CLUBS=0,
	DIAMONDS,
	HEARTS,
	SPADES
};

class Card {
	Suit suit_;
	int value_;
public:
	Card(int c=0) 
	: suit_(static_cast<Suit>(c/13)),
	  value_(c%13)
	{}
	
	Suit get_suit() const {
		return suit_;
	}
	int get_value() const {
		return value_;
	}
	void print();
};
#endif

