#include "Deck.hh"
#include "Card.hh"

#include <cstdlib>
using namespace std;

Deck::Deck() 
	: next_card_(0)
{
	for(int i=0;i<52;i++)
		cards_[i]=Card(i);
}

void Deck::shuffle() {
	for(int i=0;i<52;i++) {
		int r=rand()%52;
		Card t=cards_[r];
		cards_[r]=cards_[i];
		cards_[i]=t;
	}	
}

Card Deck::deal_one() {
	return cards_[next_card_++];
}
