#include <cstdlib>
#include <iostream>
using namespace std;

double drandom() {
	return static_cast<double>(rand())/RAND_MAX;
}

int toss1() {
	return (drandom()<0.5)?0:1;	
}

int tossN(int n) {
	int res=0;
	for(int i=0;i<n;i++) {
		res+=toss1();
	}
	return res;
}



int main() {
	const int N=10;
	int H[N+1];
	for(int i=0;i<N+1;i++) H[i]=0;

	srand(200);
	for(int i=0;i<1000000;i++) {
		int index=tossN(N);
		H[index]++;
	}
	for(int i=0;i<N+1;i++) {
		cout << "H[" << i << "]=" 
			<< H[i] << endl;
	}
	return 0;
}

